Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 85897

Summary: screensaver takes 20+ seconds to exit
Product: [Retired] Red Hat Linux Reporter: Rik van Riel <riel>
Component: xscreensaverAssignee: Bill Nottingham <notting>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: mharris, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-07-30 23:25:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rik van Riel 2003-03-10 15:47:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The screensaver which "flies" you through a wire-drawn corkscrew takes about 20
to 30 seconds to exit, from the point where you touch the mouse. This is on a
Celeron 500, which really should be able to just exit within a second...

Note: I'm not sure if this happens with every screensaver, but it is quite
possible. Very annoying bug.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. grab a drink from the fridge, talk to colleagues on the way back
2. see that screen has the screensaver running
3. move mouse all over the place, madly whack keyboard, etc...
    

Actual Results:  it looked like the machine was no longer reacting to any user
input, the screensaver just kept going and going and only exited after 30
seconds or so

Expected Results:  the screensaver should have exited immediately, within a second

Additional info:

Comment 1 Bill Nottingham 2003-03-10 21:32:30 UTC
This is on a machine with software GL support only, correct?

Comment 2 Rik van Riel 2003-03-10 22:35:25 UTC
yes, I suspect this is software GL handling only ... glxinfo gives:

OpenGL renderer string: Mesa DRI G400 20020221 AGP 1x x86/MMX
OpenGL version string: 1.2 Mesa 4.0.4

(and some more info)

However, that still doesn't make it acceptable for the screensaver to take 30
seconds to exit ...

Comment 3 Bill Nottingham 2003-03-10 22:43:59 UTC
Actually....

That renderer string implies it is using HW GL support.


Comment 4 Mike A. Harris 2003-03-11 02:07:50 UTC
30 seconds is indeed unacceptable.  It must be some mga DRI hardware accel
issue or DRM issue.  Is this occuring while using our official kernel?
(yes I know our kernel sucks, but bear with me)  ;o)

Can you attach X server log, config file and kernel log to peek at?

Also, completely unrelated, but I notice you're using AGP 1x only.  If your
CMOS allows changing of AGP mode to AGP 2x and/or 4x, I recommend changing
it there, and then matching it in the X config file with:

Option "AGPmode" "4"

etc.

Comment 5 Bill Nottingham 2003-07-30 23:25:20 UTC
Closed, no response.